Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Windows package is now broken #513

Closed
JohnMcLear opened this Issue · 13 comments

5 participants

@JohnMcLear
Owner
[2012-02-27 19:26:49.644] [INFO] http - 200, GET /static/img/etherpad_lite_icons.png
[2012-02-27 19:26:49.691] [ERROR] console - TypeError: Object.keys called on non-object
    at Function.keys (native)
    at ServerResponse. (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node\utils\caching_middleware.js:90:18)
    at ServerResponse._implicitHeader (http.js:796:8)
    at ServerResponse.end (http.js:653:10)
    at ServerResponse. (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node_modules\log4js\lib\connect-logger.js:73:7)
    at next (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node_modules\express\node_modules\connect\lib\http.js:172:13)
    at next (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node_modules\express\node_modules\connect\lib\http.js:205:9)
    at [object Object].handle (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node_modules\yajsml\server.js:262:9)
    at Object.handle (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node_modules\express\node_modules\connect\lib\http.js:105:14)
    at next (C:\Users\john\Downloads\etherpad-lite-win (6)\etherpad-lite-win\node_modules\express\node_modules\connect\lib\http.js:203:15)

NetworkError: 404 Not Found - http://127.0.0.1:9001/static/js/require-kernel.js"
require-kernel.js
"NetworkError: 500 Internal Server Error - http://127.0.0.1:9001/minified/pad.js?callback=require.define"
pad.js....define
"NetworkError: 500 Internal Server Error - http://127.0.0.1:9001/minified/pad.js?callback=require.define"
pad.js....define
require is not defined
[Break On This Error]   

require.setRootURI("../minified/");
@cweider

Looks like internal requests (added in #468) are strange in Windows, will be looking into it more tomorrow. A revert of the merge may make sense, I don’t know if it’s an easy fix or not.

@Pita
Owner

Its not the end of the world if the windows package is broken for a few days. I don't want to revert cause there will be a huge change comming in over the next days (plugin framework) and this will make it very difficult for you to commit your changes again

@JohnMcLear
Owner
@JohnMcLear
Owner

Had 2 people report this bug to me today, just FYI it looks like windows users are actually using the package quite a lot ;\

@cweider cweider referenced this issue
Merged

Fix minify #521

@cweider

It should be working now.

@JohnMcLear
Owner

Think I'm waiting for the package to rebuild, will test 2mrw.

@cweider

NP.

@cweider cweider was assigned
@JohnMcLear JohnMcLear was assigned
@JohnMcLear
Owner

@cweider the package is still broken

JxN4TMqPWy:1Uncaught ReferenceError: require is not defined
ace2_inner.js:1Uncaught ReferenceError: require is not defined
JxN4TMqPWy:2Uncaught ReferenceError: require is not defined
This was referenced
@LouisTakePILLz

I'm having a similar issue; when I try to create a new pad, the web interface refuses to load even after using a freshly deployed version. See the following reference picture of the problem: http://www.freeimagehosting.net/484nj
Secondly, if I restart the server after a pad has been created and then try to access it once again, these errors are spat:
[2012-03-05 17:38:30.799] [INFO] console - Your Etherpad Lite git version is 6fd73ec
[2012-03-05 17:38:30.804] [INFO] console - Report bugs at https://github.com/Pita/etherpad-lite/issues
[2012-03-05 17:38:31.171] [INFO] console - Server is listening at 0.0.0.0:9001
[2012-03-05 17:38:31.172] [INFO] console - info - 'socket.io started'
[2012-03-05 17:38:38.553] [INFO] http - 200, GET /
[2012-03-05 17:38:38.616] [INFO] http - 404, GET /static/custom/index.css
[2012-03-05 17:38:38.619] [INFO] http - 404, GET /static/custom/index.js
[2012-03-05 17:38:39.989] [INFO] http - 200, GET /p/MVTnSfDf52
[2012-03-05 17:38:40.063] [INFO] http - 404, GET /static/custom/pad.css
[2012-03-05 17:38:40.066] [INFO] http - 200, GET /static/js/require-kernel.js
[2012-03-05 17:38:40.098] [INFO] http - 200, GET /static/css/pad.css
[2012-03-05 17:38:40.114] [INFO] http - 200, GET /static/img/leftarrow.png
[2012-03-05 17:38:40.117] [INFO] http - 200, GET /static/img/loading.gif
[2012-03-05 17:38:40.123] [INFO] http - 404, GET /static/custom/pad.js
[2012-03-05 17:38:40.138] [INFO] http - 200, GET /static/img/etherpad_lite_icons.png
[2012-03-05 17:38:40.263] [INFO] http - 404, GET /static/custom/pad.js
[2012-03-05 17:38:40.352] [INFO] http - 404, HEAD /static/js/jquery/index.js
[2012-03-05 17:38:40.360] [INFO] http - 404, GET /static/js/jquery/index.js
[2012-03-05 17:38:40.372] [INFO] http - 200, GET /minified/jquery/index.js?callback=require.define

@edmfga

Same here (like Chuiby) PUSH!!!

@JohnMcLear
Owner

@cweider any update on this? Package still broken

@Pita
Owner

@cweider has already a fix for that. We just can't merge it at the moment. But I updated the zip so it includes this patch. So the public download should work now again

Problem is that I had to disable the automatic build every 6 hours, someone needs to remind me to enable this again once we fixed that bug

@JohnMcLear
Owner

Tested Okay

@JohnMcLear JohnMcLear closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.